OpenJPH: ojph::outfile_base Class Reference

OpenJPH Open-source implementation of JPEG2000 Part-15

Loading...
Searching...
No Matches
ojph::outfile_base Class Referenceabstract

`#include <ojph_file.h>`

Inheritance diagram for ojph::outfile_base:

## Public Types
enum | seek : int { OJPH_SEEK_SET = SEEK_SET , OJPH_SEEK_CUR = SEEK_CUR , OJPH_SEEK_END = SEEK_END }

## Public Member Functions
virtual | ~outfile_base ()
virtual size_t | write (const void *ptr, size_t size)=0
virtual si64 | tell ()
virtual int | seek (si64 offset, enum outfile_base::seek origin)
virtual void | flush ()
virtual void | close ()

## Detailed Description

Definition at line 74 of file ojph_file.h.

## Member Enumeration Documentation

## ◆ seek

enum ojph::outfile_base::seek : int

Enumerator
OJPH_SEEK_SET |
OJPH_SEEK_CUR |
OJPH_SEEK_END |

Definition at line 78 of file ojph_file.h.

## Constructor & Destructor Documentation

## ◆ ~outfile_base()

virtual ojph::outfile_base::~outfile_base | ( |  | ) |
| inlinevirtual

Definition at line 83 of file ojph_file.h.

## Member Function Documentation

## ◆ close()

virtual void ojph::outfile_base::close | ( |  | ) |
| inlinevirtual

Reimplemented in ojph::j2c_outfile, and ojph::mem_outfile.

Definition at line 93 of file ojph_file.h.

## ◆ flush()

virtual void ojph::outfile_base::flush | ( |  | ) |
| inlinevirtual

Reimplemented in ojph::j2c_outfile.

Definition at line 92 of file ojph_file.h.

## ◆ seek()

virtual int ojph::outfile_base::seek | ( | si64 | offset,
|  | enum outfile_base::seek | origin )
| inlinevirtual

Reimplemented in ojph::mem_outfile.

Definition at line 87 of file ojph_file.h.

References ojph_unused.

## ◆ tell()

virtual si64 ojph::outfile_base::tell | ( |  | ) |
| inlinevirtual

Reimplemented in ojph::j2c_outfile, and ojph::mem_outfile.

Definition at line 86 of file ojph_file.h.

## ◆ write()

virtual size_t ojph::outfile_base::write | ( | const void * | ptr,
|  | size_t | size )
| pure virtual

Implemented in ojph::j2c_outfile, and ojph::mem_outfile.

Referenced by ojph::local::tile::flush(), ojph::local::param_cod::internal_write_coc(), ojph::local::param_qcd::internal_write_qcc(), ojph::local::param_cap::write(), ojph::local::param_cod::write(), ojph::local::param_nlt::write(), ojph::local::param_qcd::write(), ojph::local::param_siz::write(), ojph::local::param_sot::write(), ojph::local::param_sot::write(), ojph::local::param_tlm::write(), ojph::local::precinct::write(), and ojph::local::codestream::write_headers().

The documentation for this class was generated from the following file:

- /build/openjph/src/OpenJPH/src/core/openjph/ojph_file.h